Printable version

Drivers & software

* RECOMMENDED * HPE IP and Server Console Switch G2 with Virtual Media Firmware

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Firmware - Console Server and Switch
Version: 2.8.3(11 Sep 2020)
Operating System(s): OS Independent
File name: HPE_IP_and_Server_Console_Switch_G2_Firmware_v2.8.3.exe (68 MB)
This release includes firmware for the HPE IP Console Switches G2 with Virtual Media and HPE Server Console Switches G2 with Virtual Media.

  • Added support to enroll appliance in DSView 4.5 SP10 or higher with 2048-bit certificate
    • Menu option (OBWI & Local Port) located under Sessions -> General -> Security
    • Default: 1024-bit
  • HTML5 viewer changes:
    • Added Copy / Paste text feature
    • Alternate key to exit full screen is now F10. The user may configure a different key F1-F24.
  • Added support for firmware downloads from NTFS and ext3 drive formats connected locally
  • Improved product security

Prerequisites:

  • Sharing with stealth must be enabled to share HTML5 sessions.

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

2f707dc70a7c708d2ed4e831117c1dced1c6160e719860820940047a9792b3fb HPE_IP_and_Server_Console_Switch_G2_Firmware_v2.8.3.exe

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  • Download the zip file to a local drive.
  • Extract contents of the zip file to a directory.
  • From that directory, use the detailed instructions located in the README.pdf to perform the upgrade.

To verify the integrity of the downloaded file:

  1. Use Microsoft Windows CRC/SHA tool to calculate the SHA256 hash value for <filename>.
  2. Compare the calculated value with the SHA256 value displayed in the Installation Instruction tab of the HPE Support Center download page.
    • If the values match, then the integrity of the downloaded file has been verified.
    • If the values do not match, then download the file a second time and compare the newly calculated hash values again.
    • If the hash values do not match:
      • Do not deploy the firmware
      • Contact HPE Technical Support

To verify the authenticity of the downloaded file:

  1. Download <filename> to a system running a supported version of Microsoft Windows Server OS
  2. Right-click the filename then select Properties
  3. When the Properties window displays, click the Digital Signature tab
  4. Select the first entry in the Signature List and click the Details button.
  5. The signature status will display at the top of the Details dialog.
    • If the signature message states that “This digital signature is OK.”, then the firmware package is authenticated as an HPE package
    • If the message “This digital signature is not valid.” displays, then do the following:
      • Do not deploy the firmware.
      • Download firmware a second time and verify the signature again. If the signature is not OK, then contact HPE Technical Support

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

  • Internet Explorer Versions 8 and 9 are no longer supported as client browsers.
  • The following chart indicates the latest version tested:

Software

Version

Java

 1.8.0.201

Internet Explorer

 11

Firefox

 77.0.1 (64-bit)

Firefox ESR

 60.3.0 ESR - (64-bit)

Chrome

 Version 83.0.4103 (64-bit)


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Reflected XSS + admin session cookie takeover
  • Fixed issue with not detecting Smart Card (SCR331-LC1) when connected to the KVM switch
  • Fixed issue with Omnikey 3121 CAC Reader not working
  • Fixed issue with video / distortion issue with multiple open remote KVM sessions
  • Fixed issue no video signal on Intel NUC 7 HDMI targets during boot sequence
  • Internet Explorer Versions 8 and 9 are no longer supported as client browsers.
  • The following chart indicates the latest version tested:

Software

Version

Java

 1.8.0.201

Internet Explorer

 11

Firefox

 77.0.1 (64-bit)

Firefox ESR

 60.3.0 ESR - (64-bit)

Chrome

 Version 83.0.4103 (64-bit)

Version:2.8.3 (11 Sep 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Reflected XSS + admin session cookie takeover
  • Fixed issue with not detecting Smart Card (SCR331-LC1) when connected to the KVM switch
  • Fixed issue with Omnikey 3121 CAC Reader not working
  • Fixed issue with video / distortion issue with multiple open remote KVM sessions
  • Fixed issue no video signal on Intel NUC 7 HDMI targets during boot sequence
Enhancements

  • Added support to enroll appliance in DSView 4.5 SP10 or higher with 2048-bit certificate
    • Menu option (OBWI & Local Port) located under Sessions -> General -> Security
    • Default: 1024-bit
  • HTML5 viewer changes:
    • Added Copy / Paste text feature
    • Alternate key to exit full screen is now F10. The user may configure a different key F1-F24.
  • Added support for firmware downloads from NTFS and ext3 drive formats connected locally
  • Improved product security

Version:2.6.0 (12 Dec 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixed issue with LDAP KVM sessions not working for KVM user
Enhancements

  • Compliant with the California IoT Senate Bill No. 327
    • “Admin” will be the default user and there will be no default password.  Following initial power up or after Factory Reset, the first time “Admin” logs into the OBWI the user will be required to create & confirm a new password.   
    • Following firmware upgrade, no password change for the ‘Admin” default user will be required unless the local user database is still in the factory default state. If no local user accounts have ever been added or edited prior to firmware upgrade, then the user will be required to create a password for the "Admin" default user.
    • “Admin” will be the default username for the Override Admin account, there will be no default password.  Following initial power up or after Factory Reset, the first time a user logs into the OBWI, the user will be required to create & confirm a new password for the default Override Admin account.  Following a firmware upgrade to 2.6.0 from any previous version, no password change for the Override Admin account will be required.
  • Replaced OBWI JAVA serial viewer with HTML5 serial viewer
  • Improved product security

Version:2.4.0 (27 Jun 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixed issue with smartcard readers not mapping on Windows 10 targets
  • Fixed issue with remote KVM sessions not being established with Java Version 8 Update 201
  • Fixed issue with the #-key on a German keyboard not working in the local user interface
  • Fixed issue with SNMPv3 requests unsuccessful with security set to AuthPriv

Version:2.2.4 (12 Feb 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • The Java viewer certificates that exist in older firmware versions will expire in 2019.Java will block KVM sessions from launching the firmware should be updated with JAVA viewer certificates (Please see Section 5 of the Release Notes, which are included in the downloadable zip file)
  • Korean language function key correctly mapped in Korean Language translation.

Version:2.2.0 (28 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues are addressed with firmware update version 2.2.0:

  • Model AF629A server name resets to default name after reboot.
  • Firefox / IE - Java Not Installed message got fixed
  • Single mouse cursor is not supported on mac clients.
Enhancements

The following new features/enhancements are implemented in firmware update version 2.2.0:

  • Greater than 400 target server limit .
  • Encryption for SNMPv3 traps.
  • SNMPv2 option .
  • Remote user can preempt local user on cascaded appliance.
  • HTML5 pull-down option for OBWI session .
  • Product security improvements .

Version:2.0.1 (3 Nov 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • VT100 serial IQ defaulting to the wrong screen mode/width, the IQ should default to 80 columns and preserve the screen setting during a reboot.
  • OBWI Events page has two duplicate Japanese strings.
  • Digital KVM session using mouse wheel will cause the target cursor to separate.
  • Local port (Japanese language) incorrect user name/password generates garbled error message.
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • HTML5 viewer support – OBWI.
    • TCP Port Number 4206 must be open
    • Up to three sessions can be launched from any single client with the AF622A
    • Chrome is the recommended browser when using the HTML5 viewer
  • HTML5 viewer support - DSView 4.5 SP7.
    • TCP Port Number 4206 must be open
  • DES and 3DES ciphers removed from user interface (Kbd / Mse / Video / Virtual Media).
  • Improved product security.

Version:1.34.0 (20 Feb 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • TLS 1.0 protocol enabled on Port 443 (OBWI).
  • Remote OBWI does not start KVM session in PS2 cascade appliance configuration.
  • "Forgot password?" link on the local port OBWI login page appears too briefly after the user has entered invalid credentials.
  • Untranslated string "Local Port Virtual Media Session Settings" on the OBWI - Local Port UI page.
  • KVM viewer does not pass '> <' key (German keyboard).
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Customizable login banner in OBWI.
  • DES and 3DES ciphers removed from Port 443 [On-Board Web Interface (OBWI)].
  • Improved product security.
  • Updated OBWI Japanese translations for the following strings:
    • Local Port Virtual Media Session Settings.
    • Virtual Media.
    • Virtual Media locked to KVM Sessions.
    • Appliance Virtual Media Session Settings.
    • Virtual Media Access Mode.
    • Virtual Media.
    • Virtual Media Access per IA.

Version:1.32.0 (28 Apr 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

The following issues have been resolved in this release:

  • On Board Web Interface Manage Web Certificate page did not work
  • Self signed HTTPS SSL certificate generation
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

The following issues have been resolved in this release:

  • On Board Web Interface Manage Web Certificate page did not work
  • Self signed HTTPS SSL certificate generationv
  • Adds web client support of SHA-256 cryptology
  • Removes RC4 cipher from Port 443 from the On Board Web Interface
  • Adds support of JAVA 7 and JAVA 8 to HP IP Console Viewer software and G3 Console Switch plug-in

Version:1.30.5 (18 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information. 

  • Fixed JAVA KVM session freezes after exiting Map Smart Card window and attempting to reopen
  • Updated JAVA viewer certificates


Version:1.30.2 (8 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


“REMOVED - HPE IP and Server Console Switch G2 with Virtual Media version 1.30.2 is NO LONGER SUPPORTED by HPE and is therefore NO LONGER AVAILABLE for download. Click the 'Obtain software' link to redirect to firmware version 2.2.0 for these products

  • Fixed AltGr key combinations that were not working with Linux clients

  • Fixed inability to boot from virtual media ISO image

  • Fixed installations of OS using virtual media ISO image

  • Corrects error where pasting strings through Putty sessions would drop characters

Enhancements

REMOVED - HPE IP and Server Console Switch G2 with Virtual Media version 1.30.2 is NO LONGER SUPPORTED by HPE and is therefore NO LONGER AVAILABLE for download. Click the 'Obtain software' link to redirect to firmware version 2.2.0 for these products

  • OpenSSL updated for “GHOST” vulnerability

  • Support for JAVA 8 Update 60

  • Support for IBM JAVA

  • Support for SNMPv3

  • Support for IE 11 browser

  • Optional Target Port column in OBWI

  • Added Unbind from DSView option to the serial console menu

  • Updated FIPS 140-2 cryptographic module to Certificate #1747

  • Improved product security


Version:1.26.1 (6 Apr 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

List of CVEs resolved:

  • CVE-2014-3566
  • CVE-2014-3569
  • CVE-2014-3570
  • CVE-2015-0204

Version:1.20.24 (10 Dec 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Improved product security
  • The BASH shell has been patchedfor "Shellshock"

 


Version:1.20.19 (6 Jun 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Fixed issue where Java 7 Update 51 was blocking KVM and Serial sessions
  • Issue where CAC/Smart Card did not work with Interface Adapter AF623A firmware version 1.0.1.14 is resolved.  The interface adapter must be upgraded after the KVM firmware is upgraded and will be prompted during this upgrade process.

Version:1.20.0 (27 Aug 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

 

Fixed Proliant Generation 8 server hang when used with the AF623A HP KVM Console USB Virtual Media CAC Interface Adapter

Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Google Chrome Version 19 and higher browser support
  • Internet Explorer 9 & 10 browser support
  • Mozilla Firefox Version 10 and higher browser support
  • USB Interface Adapter G2 support
  • USB Interface Adapter with VM and CAC G2 support

Version:1.10.17 (8 Oct 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Fixed incorrect local port key mapping for the Swiss French keyboard where the ‘Y’ and ‘Z’ keys are switched.
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Increased the length of the public key used in the SSL certificate from 512 bits to 1024 bits.  The firmware upgrade will automatically result in a certificate with a fixed length of 1024 bits.  
  • Improved the randomization mechanism used to seed the SSL certificate generation algorithm. 

Version:1.10.9 (6 Oct 2011)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • When units are in secure mode, local port cannot log in
  • Port 16 video instability issue
  • Error Correction Code (ECC) added to detect and correct the small number of defects that may occur
  • Pressing PrintScreen to invoke local OBWI fails
  • Bottom portion of full screen mode was not visible
  • Not allowing mounting of ISO images with Microsoft Windows 2008
  • USBMC & PS2MC IA Version 1.0.1.10 – allows IA to upgrade properly when VM is disabled
  • Cannot start serial session with Avocent Session Viewer using DSView
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • SSLv2 and weak ciphers are disabled by default

Version:1.2.14.15788 (28 Oct 2010)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

1. USB Virtual Media and Common Access Card Interface Adapter does not update keyboard LED status correctly
2. IPv4 Static and DHCP info lost on appliance reboot
3. Unusable Video Viewer session when both appliance NICs are used
4. Unstable video on 3rd and 4th Video Viewer session
5. Local On Board Web Interface Virtual Media mapping sometimes fails on ports 17 thru 24

Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

1. Added support for 1366x768@60Hz video mode
2. Added support for 1360x768@60Hz video mode (VESA mode)
3. Added support for two more 1366x768@60Hz video modes with custom video timings
4. Modified auto calibrate algorithm to properly adjust for 1366x768 video mode on Win2008 Server


Version:1.2.2.14363 (22 Oct 2010)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.

Please Note:  This is the original firmware version included with the product


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

Please Note:  This is the original firmware version included with the product


Type: Firmware - Console Server and Switch
Version: 2.8.3(11 Sep 2020)
Operating System(s):
OS Independent

Description

This release includes firmware for the HPE IP Console Switches G2 with Virtual Media and HPE Server Console Switches G2 with Virtual Media.

Enhancements

  • Added support to enroll appliance in DSView 4.5 SP10 or higher with 2048-bit certificate
    • Menu option (OBWI & Local Port) located under Sessions -> General -> Security
    • Default: 1024-bit
  • HTML5 viewer changes:
    • Added Copy / Paste text feature
    • Alternate key to exit full screen is now F10. The user may configure a different key F1-F24.
  • Added support for firmware downloads from NTFS and ext3 drive formats connected locally
  • Improved product security

Installation Instructions

Prerequisites:

  • Sharing with stealth must be enabled to share HTML5 sessions.

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

2f707dc70a7c708d2ed4e831117c1dced1c6160e719860820940047a9792b3fb HPE_IP_and_Server_Console_Switch_G2_Firmware_v2.8.3.exe

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  • Download the zip file to a local drive.
  • Extract contents of the zip file to a directory.
  • From that directory, use the detailed instructions located in the README.pdf to perform the upgrade.

To verify the integrity of the downloaded file:

  1. Use Microsoft Windows CRC/SHA tool to calculate the SHA256 hash value for <filename>.
  2. Compare the calculated value with the SHA256 value displayed in the Installation Instruction tab of the HPE Support Center download page.
    • If the values match, then the integrity of the downloaded file has been verified.
    • If the values do not match, then download the file a second time and compare the newly calculated hash values again.
    • If the hash values do not match:
      • Do not deploy the firmware
      • Contact HPE Technical Support

To verify the authenticity of the downloaded file:

  1. Download <filename> to a system running a supported version of Microsoft Windows Server OS
  2. Right-click the filename then select Properties
  3. When the Properties window displays, click the Digital Signature tab
  4. Select the first entry in the Signature List and click the Details button.
  5. The signature status will display at the top of the Details dialog.
    • If the signature message states that “This digital signature is OK.”, then the firmware package is authenticated as an HPE package
    • If the message “This digital signature is not valid.” displays, then do the following:
      • Do not deploy the firmware.
      • Download firmware a second time and verify the signature again. If the signature is not OK, then contact HPE Technical Support

Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

  • Internet Explorer Versions 8 and 9 are no longer supported as client browsers.
  • The following chart indicates the latest version tested:

Software

Version

Java

 1.8.0.201

Internet Explorer

 11

Firefox

 77.0.1 (64-bit)

Firefox ESR

 60.3.0 ESR - (64-bit)

Chrome

 Version 83.0.4103 (64-bit)


Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Reflected XSS + admin session cookie takeover
  • Fixed issue with not detecting Smart Card (SCR331-LC1) when connected to the KVM switch
  • Fixed issue with Omnikey 3121 CAC Reader not working
  • Fixed issue with video / distortion issue with multiple open remote KVM sessions
  • Fixed issue no video signal on Intel NUC 7 HDMI targets during boot sequence

Important

  • Internet Explorer Versions 8 and 9 are no longer supported as client browsers.
  • The following chart indicates the latest version tested:

Software

Version

Java

 1.8.0.201

Internet Explorer

 11

Firefox

 77.0.1 (64-bit)

Firefox ESR

 60.3.0 ESR - (64-bit)

Chrome

 Version 83.0.4103 (64-bit)

Revision History

Version:2.8.3 (11 Sep 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Reflected XSS + admin session cookie takeover
  • Fixed issue with not detecting Smart Card (SCR331-LC1) when connected to the KVM switch
  • Fixed issue with Omnikey 3121 CAC Reader not working
  • Fixed issue with video / distortion issue with multiple open remote KVM sessions
  • Fixed issue no video signal on Intel NUC 7 HDMI targets during boot sequence
Enhancements

  • Added support to enroll appliance in DSView 4.5 SP10 or higher with 2048-bit certificate
    • Menu option (OBWI & Local Port) located under Sessions -> General -> Security
    • Default: 1024-bit
  • HTML5 viewer changes:
    • Added Copy / Paste text feature
    • Alternate key to exit full screen is now F10. The user may configure a different key F1-F24.
  • Added support for firmware downloads from NTFS and ext3 drive formats connected locally
  • Improved product security

Version:2.6.0 (12 Dec 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixed issue with LDAP KVM sessions not working for KVM user
Enhancements

  • Compliant with the California IoT Senate Bill No. 327
    • “Admin” will be the default user and there will be no default password.  Following initial power up or after Factory Reset, the first time “Admin” logs into the OBWI the user will be required to create & confirm a new password.   
    • Following firmware upgrade, no password change for the ‘Admin” default user will be required unless the local user database is still in the factory default state. If no local user accounts have ever been added or edited prior to firmware upgrade, then the user will be required to create a password for the "Admin" default user.
    • “Admin” will be the default username for the Override Admin account, there will be no default password.  Following initial power up or after Factory Reset, the first time a user logs into the OBWI, the user will be required to create & confirm a new password for the default Override Admin account.  Following a firmware upgrade to 2.6.0 from any previous version, no password change for the Override Admin account will be required.
  • Replaced OBWI JAVA serial viewer with HTML5 serial viewer
  • Improved product security

Version:2.4.0 (27 Jun 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixed issue with smartcard readers not mapping on Windows 10 targets
  • Fixed issue with remote KVM sessions not being established with Java Version 8 Update 201
  • Fixed issue with the #-key on a German keyboard not working in the local user interface
  • Fixed issue with SNMPv3 requests unsuccessful with security set to AuthPriv

Version:2.2.4 (12 Feb 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • The Java viewer certificates that exist in older firmware versions will expire in 2019.Java will block KVM sessions from launching the firmware should be updated with JAVA viewer certificates (Please see Section 5 of the Release Notes, which are included in the downloadable zip file)
  • Korean language function key correctly mapped in Korean Language translation.

Version:2.2.0 (28 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues are addressed with firmware update version 2.2.0:

  • Model AF629A server name resets to default name after reboot.
  • Firefox / IE - Java Not Installed message got fixed
  • Single mouse cursor is not supported on mac clients.
Enhancements

The following new features/enhancements are implemented in firmware update version 2.2.0:

  • Greater than 400 target server limit .
  • Encryption for SNMPv3 traps.
  • SNMPv2 option .
  • Remote user can preempt local user on cascaded appliance.
  • HTML5 pull-down option for OBWI session .
  • Product security improvements .

Version:2.0.1 (3 Nov 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • VT100 serial IQ defaulting to the wrong screen mode/width, the IQ should default to 80 columns and preserve the screen setting during a reboot.
  • OBWI Events page has two duplicate Japanese strings.
  • Digital KVM session using mouse wheel will cause the target cursor to separate.
  • Local port (Japanese language) incorrect user name/password generates garbled error message.
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • HTML5 viewer support – OBWI.
    • TCP Port Number 4206 must be open
    • Up to three sessions can be launched from any single client with the AF622A
    • Chrome is the recommended browser when using the HTML5 viewer
  • HTML5 viewer support - DSView 4.5 SP7.
    • TCP Port Number 4206 must be open
  • DES and 3DES ciphers removed from user interface (Kbd / Mse / Video / Virtual Media).
  • Improved product security.

Version:1.34.0 (20 Feb 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • TLS 1.0 protocol enabled on Port 443 (OBWI).
  • Remote OBWI does not start KVM session in PS2 cascade appliance configuration.
  • "Forgot password?" link on the local port OBWI login page appears too briefly after the user has entered invalid credentials.
  • Untranslated string "Local Port Virtual Media Session Settings" on the OBWI - Local Port UI page.
  • KVM viewer does not pass '> <' key (German keyboard).
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Customizable login banner in OBWI.
  • DES and 3DES ciphers removed from Port 443 [On-Board Web Interface (OBWI)].
  • Improved product security.
  • Updated OBWI Japanese translations for the following strings:
    • Local Port Virtual Media Session Settings.
    • Virtual Media.
    • Virtual Media locked to KVM Sessions.
    • Appliance Virtual Media Session Settings.
    • Virtual Media Access Mode.
    • Virtual Media.
    • Virtual Media Access per IA.

Version:1.32.0 (28 Apr 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

The following issues have been resolved in this release:

  • On Board Web Interface Manage Web Certificate page did not work
  • Self signed HTTPS SSL certificate generation
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

The following issues have been resolved in this release:

  • On Board Web Interface Manage Web Certificate page did not work
  • Self signed HTTPS SSL certificate generationv
  • Adds web client support of SHA-256 cryptology
  • Removes RC4 cipher from Port 443 from the On Board Web Interface
  • Adds support of JAVA 7 and JAVA 8 to HP IP Console Viewer software and G3 Console Switch plug-in

Version:1.30.5 (18 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information. 

  • Fixed JAVA KVM session freezes after exiting Map Smart Card window and attempting to reopen
  • Updated JAVA viewer certificates


Version:1.30.2 (8 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


“REMOVED - HPE IP and Server Console Switch G2 with Virtual Media version 1.30.2 is NO LONGER SUPPORTED by HPE and is therefore NO LONGER AVAILABLE for download. Click the 'Obtain software' link to redirect to firmware version 2.2.0 for these products

  • Fixed AltGr key combinations that were not working with Linux clients

  • Fixed inability to boot from virtual media ISO image

  • Fixed installations of OS using virtual media ISO image

  • Corrects error where pasting strings through Putty sessions would drop characters

Enhancements

REMOVED - HPE IP and Server Console Switch G2 with Virtual Media version 1.30.2 is NO LONGER SUPPORTED by HPE and is therefore NO LONGER AVAILABLE for download. Click the 'Obtain software' link to redirect to firmware version 2.2.0 for these products

  • OpenSSL updated for “GHOST” vulnerability

  • Support for JAVA 8 Update 60

  • Support for IBM JAVA

  • Support for SNMPv3

  • Support for IE 11 browser

  • Optional Target Port column in OBWI

  • Added Unbind from DSView option to the serial console menu

  • Updated FIPS 140-2 cryptographic module to Certificate #1747

  • Improved product security


Version:1.26.1 (6 Apr 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

List of CVEs resolved:

  • CVE-2014-3566
  • CVE-2014-3569
  • CVE-2014-3570
  • CVE-2015-0204

Version:1.20.24 (10 Dec 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Improved product security
  • The BASH shell has been patchedfor "Shellshock"

 


Version:1.20.19 (6 Jun 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Fixed issue where Java 7 Update 51 was blocking KVM and Serial sessions
  • Issue where CAC/Smart Card did not work with Interface Adapter AF623A firmware version 1.0.1.14 is resolved.  The interface adapter must be upgraded after the KVM firmware is upgraded and will be prompted during this upgrade process.

Version:1.20.0 (27 Aug 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

 

Fixed Proliant Generation 8 server hang when used with the AF623A HP KVM Console USB Virtual Media CAC Interface Adapter

Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Google Chrome Version 19 and higher browser support
  • Internet Explorer 9 & 10 browser support
  • Mozilla Firefox Version 10 and higher browser support
  • USB Interface Adapter G2 support
  • USB Interface Adapter with VM and CAC G2 support

Version:1.10.17 (8 Oct 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Fixed incorrect local port key mapping for the Swiss French keyboard where the ‘Y’ and ‘Z’ keys are switched.
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • Increased the length of the public key used in the SSL certificate from 512 bits to 1024 bits.  The firmware upgrade will automatically result in a certificate with a fixed length of 1024 bits.  
  • Improved the randomization mechanism used to seed the SSL certificate generation algorithm. 

Version:1.10.9 (6 Oct 2011)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • When units are in secure mode, local port cannot log in
  • Port 16 video instability issue
  • Error Correction Code (ECC) added to detect and correct the small number of defects that may occur
  • Pressing PrintScreen to invoke local OBWI fails
  • Bottom portion of full screen mode was not visible
  • Not allowing mounting of ISO images with Microsoft Windows 2008
  • USBMC & PS2MC IA Version 1.0.1.10 – allows IA to upgrade properly when VM is disabled
  • Cannot start serial session with Avocent Session Viewer using DSView
Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

  • SSLv2 and weak ciphers are disabled by default

Version:1.2.14.15788 (28 Oct 2010)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

1. USB Virtual Media and Common Access Card Interface Adapter does not update keyboard LED status correctly
2. IPv4 Static and DHCP info lost on appliance reboot
3. Unusable Video Viewer session when both appliance NICs are used
4. Unstable video on 3rd and 4th Video Viewer session
5. Local On Board Web Interface Virtual Media mapping sometimes fails on ports 17 thru 24

Enhancements

REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

1. Added support for 1366x768@60Hz video mode
2. Added support for 1360x768@60Hz video mode (VESA mode)
3. Added support for two more 1366x768@60Hz video modes with custom video timings
4. Modified auto calibrate algorithm to properly adjust for 1366x768 video mode on Win2008 Server


Version:1.2.2.14363 (22 Oct 2010)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.

Please Note:  This is the original firmware version included with the product


REMOVED - This software version is no longer available for download from HPE due to a change in HPE support policy. See notes on 'Important' tab for additional information.

Please Note:  This is the original firmware version included with the product


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.